CREATE TABLE markers (
    id BIGINT PRIMARY KEY IDENTITY(1,1) ,
    project_id BIGINT NOT NULL REFERENCES projects(id) ,
    red_marker_name NVARCHAR(256) not null,
    green_marker_name NVARCHAR(256) not null,
    created_at DATETIMEOFFSET NOT NULL,
    updated_at DATETIMEOFFSET NOT NULL
);

create index markers_markers_id_project_id_ix
    on markers(id, project_id);
